RDS-ADD-TAG-TO-RESOURCE(1)

NAME
rds-add-tag-to-resource - Add a tag to a specific resource

SYNOPSIS

 rds-add-tag-to-resource
     ResourceName --key value [--value value ] [General Options]

DESCRIPTION

    Adds tag to a specific resource. If the tag is already associated with the
 resource, this command updates the existing tag.

ARGUMENTS

 ResourceName
    Required. The amazon resource name of the instance. You can also set this
    value using "--resource-name".

SPECIFIC OPTIONS

 -k, --key VALUE
    No description available for this parameter. Required.

 -v, --value VALUE
    No description available for this parameter.

GENERAL OPTIONS

 --aws-credential-file VALUE
    Location of the file with your AWS credentials. Must not be specified in
    conjunction with --ec2-cert-file-path or --ec2-private-key-file-path.
    This value can be set by using the environment variable
    'AWS_CREDENTIAL_FILE'.

 -C, --ec2-cert-file-path VALUE
    Path to AWS X.509 certificate file. Must be specified in conjunction with
    --ec2-private-key-file-path and must not be specified in conjunction with
    --aws-credential-file. This value can be set by using the environment
    variable 'EC2_CERT'.

 --connection-timeout VALUE
    Specify a connection timeout VALUE (in seconds) for API calls. The
    default value is '30'.

 --debug
    If an error occurs while --debug is used, it will display information
    useful for debugging the problem. The default value is 'false'.

 --delimiter VALUE
    What delimiter to use when displaying delimited (long) results.

 --headers
    If you are displaying tabular or delimited results, it includes the
    column headers. If you are showing xml results, it returns the HTTP
    headers from the service request, if applicable. This is off by default.

 -I, --access-key-id VALUE
    Specify the AWS Access ID to use.

 -K, --ec2-private-key-file-path VALUE
    Path to AWS X.509 private key file. Must be specified in conjunction with
    --ec2-cert-file-path and must not be specified in conjunction with
    --aws-credential-file. This value can be set by using the environment
    variable 'EC2_PRIVATE_KEY'.

 --region VALUE
    Specify region VALUE as the web service region to use. This value can be
    set by using the environment variable 'EC2_REGION'.

 -S, --secret-key VALUE
    Specify the AWS Secret Key to use.

 --service-sig-name VALUE
    Specify the service name to use when signing requests. The default is
    "rds". This value can be set by using the environment variable
    'SERVICE_SIG_NAME'.

 --show-empty-fields
    Show empty fields and rows, using a "(nil)" value. The default is to not
    show empty fields or columns.

 --show-request
    Displays the URL used by the tools to call the AWS Service. The default
    value is 'false'.

 --show-table, --show-long, --show-xml, --quiet
    Specify how the results are displayed: tabular, delimited (long), xml, or
    no output (quiet). Tabular shows a subset of the data in fixed
    column-width form, while long shows all of the returned values delimited
    by a character. The xml is the raw return from the service, while quiet
    suppresses all standard output. The default is tabular, or 'show-table'.

 -U, --url VALUE
    This option will override the URL for the service call with VALUE. This
    value can be set by using the environment variable 'RDS_URL'.

INPUT EXAMPLES

 This shows how to add tag to a resource.

$PROMPT>$ rds-add-tag-to-resource arn:aws:rds:us-east-1:0123456789:db:my-db-instance -k project -v trinity

 This shows how to modify tags for resource.

$PROMPT>$ rds-add-tag-to-resource arn:aws:rds:us-east-1:0123456789:db:my-db-instance -k prod

SEE ALSO
  http://docs.amazonwebservices.com/AmazonRDS/2012-09-17/CommandLineReference/
  http://docs.amazonwebservices.com/AmazonRDS/latest/CommandLineReference